Search for all

  1. Search 7.x for all
  2. Search 8.9.x for all
  3. Search 10.3.x for all
  4. Search 11.x for all
  5. Search main for all
  6. Other projects
Title Object type File name Summary
QueryTest::$testViews property core/modules/views/tests/src/Kernel/Plugin/QueryTest.php Views used by this test.
QueryTest::$testViews property core/modules/views_ui/tests/src/Functional/QueryTest.php Views used by this test.
QueryTest::addField function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php
QueryTest::addOrderBy function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php
QueryTest::addWhere function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php
QueryTest::build function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Implements Drupal\views\Plugin\views\query\QueryPluginBase::build().
QueryTest::buildOptionsForm function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Provide a form to edit options for this plugin.
QueryTest::calculateDependencies function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Calculates dependencies for the configured plugin.
QueryTest::defineOptions function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Information about options for all kinds of purposes will be held here.
QueryTest::ensureTable function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php
QueryTest::execute function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Executes query and fills associated view object with according values.
QueryTest::match function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Check a single condition for a single element.
QueryTest::queryMethodsTests function core/modules/views/tests/src/Kernel/Plugin/QueryTest.php Tests methods provided by the QueryPluginBase.
QueryTest::setAllItems function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Sets the allItems property.
QueryTest::setFieldTimezoneOffset function core/modules/views/tests/modules/views_test_data/src/Plugin/views/query/QueryTest.php Applies a timezone offset to the given field.
QueryTest::setUp function core/tests/Drupal/Tests/Core/Entity/Query/Sql/QueryTest.php
QueryTest::testArrayArgumentsSQLInjection function core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests SQL injection via database query array arguments.
QueryTest::testArraySubstitution function core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests that we can pass an array of values directly in the query.
QueryTest::testConditionOperatorArgumentsSQLInjection function core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests SQL injection via condition operator.
QueryTest::testNoBaseTable function core/tests/Drupal/Tests/Core/Entity/Query/Sql/QueryTest.php Tests entity query for entity type without base table.
QueryTest::testNoRevisionTable function core/tests/Drupal/Tests/Core/Entity/Query/Sql/QueryTest.php Tests revision entity query for entity type without revision table.
QueryTest::testNumericExpressionSubstitution function core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests numeric query parameter expansion in expressions.
QueryTest::testQuery function core/modules/views/tests/src/Kernel/Plugin/QueryTest.php Tests query plugins.
QueryTest::testQueryUI function core/modules/views_ui/tests/src/Functional/QueryTest.php Tests query plugins settings.
QueryTest::testQuotingIdentifiers function core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests quoting identifiers in queries.
QueryTest::testReturnOptionDeprecation function core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests deprecation of the 'return' query option.
QueryTest::testScalarSubstitution function core/tests/Drupal/KernelTests/Core/Database/QueryTest.php Tests that we can not pass a scalar value when an array is expected.
QueryTest::viewsData function core/modules/views_ui/tests/src/Functional/QueryTest.php Returns the views data definition.
QueryTest::viewsData function core/modules/views/tests/src/Kernel/Plugin/QueryTest.php Returns the views data definition.
QueryTest::_testInitQuery function core/modules/views/tests/src/Kernel/Plugin/QueryTest.php Tests the ViewExecutable::initQuery method.
QueryTest::_testQueryExecute function core/modules/views/tests/src/Kernel/Plugin/QueryTest.php
QueryTrait trait core/modules/workspaces/src/EntityQuery/QueryTrait.php Provides workspaces-specific helpers for altering entity queries.
QueryTrait.php file core/modules/workspaces/src/EntityQuery/QueryTrait.php
QueryTrait::$workspaceManager property core/modules/workspaces/src/EntityQuery/QueryTrait.php The workspace manager.
QueryTrait::isSimpleQuery function core/modules/workspaces/src/EntityQuery/QueryTrait.php
QueryTrait::prepare function core/modules/workspaces/src/EntityQuery/QueryTrait.php
QueryTrait::__construct function core/modules/workspaces/src/EntityQuery/QueryTrait.php Constructs a Query object.
queue service core/core.services.yml Drupal\Core\Queue\QueueFactory
Queue operations group core/core.api.php Queue items to allow later processing.
queue.database service core/core.services.yml Drupal\Core\Queue\QueueDatabaseFactory
QueueDatabaseFactory class core/lib/Drupal/Core/Queue/QueueDatabaseFactory.php Defines the key/value store factory for the database backend.
QueueDatabaseFactory.php file core/lib/Drupal/Core/Queue/QueueDatabaseFactory.php
QueueDatabaseFactory::$connection property core/lib/Drupal/Core/Queue/QueueDatabaseFactory.php The database connection.
QueueDatabaseFactory::get function core/lib/Drupal/Core/Queue/QueueDatabaseFactory.php Constructs a new queue object for a given name.
QueueDatabaseFactory::__construct function core/lib/Drupal/Core/Queue/QueueDatabaseFactory.php Constructs this factory object.
QueueExceptionsTest class core/tests/Drupal/Tests/Core/Queue/QueueExceptionsTest.php Tests queue exceptions.
QueueExceptionsTest.php file core/tests/Drupal/Tests/Core/Queue/QueueExceptionsTest.php
QueueExceptionsTest::testDelayedRequeueExceptionCallsParentConstructor function core/tests/Drupal/Tests/Core/Queue/QueueExceptionsTest.php Tests that the `DelayedRequeueException` calls parent constructor.
QueueFactory class core/lib/Drupal/Core/Queue/QueueFactory.php Defines the queue factory.
QueueFactory.php file core/lib/Drupal/Core/Queue/QueueFactory.php

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.